open_append(3)

NAME
open_append - open a file for appending

SYNTAX
#include <open.h> extern int open_append(const char *filename);

DESCRIPTION
open_append opens the file filename for appending write-only use and returns the file handle. If it does not exist, it will be created with mode 0600. If there was an error opening or creating the file, open_append returns -1 and sets errno accordingly. All write operations will append after the last byte, regardless of previous calls to lseek(2) or other processes also appending to the same file.

SEE ALSO
open(2)